//>>> shadow2004::Updates-Prefspage
#pragma once

class CCustomAutoComplete;	//>>> shadow2004::IPFilter-Autocomplete

class CPPgUpdates : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgUpdates)

public:
	CPPgUpdates();
	virtual ~CPPgUpdates();

// Dialog Data
	enum { IDD = IDD_PPG_UPDATES };

	void Localize(void);
	void DeleteDDB();	//>>> shadow2004::IPFilter-Autocomplete

protected:
	CCustomAutoComplete* m_pemfIPFilterURL;		//>>> shadow2004::IPFilter-Autocomplete

	void LoadSettings(void);

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();
	virtual BOOL PreTranslateMessage(MSG* pMsg);	//>>> shadow2004::IPFilter-Autocomplete

	DECLARE_MESSAGE_MAP()
	afx_msg void OnSettingsChange();

//>>> shadow2004::IP2Country [EastShare]
	afx_msg void OnBnClickedI2CUpdate();
	afx_msg	void OnBnClickedResetI2CURL();
//<<< shadow2004::IP2Country [EastShare]
//>>> shadow2004::ModIconDLL Update
	afx_msg void OnBnClickedMIMUpdate();
	afx_msg	void OnBnClickedResetMIMURL();
//<<< shadow2004::ModIconDLL Update

//>>> shadow2004::IPFilter-Update [Morph]
	afx_msg void OnBnClickedChkEnableAutoupdate();
	afx_msg void OnResetIPFilterURL();
	afx_msg void OnLoadIPFilter();
//<< shadow2004::IPFilter-Update [Morph]
//>>> shadow2004::IPFilter-Autocomplete
	afx_msg void OnDestroy();
	afx_msg void OnListClicked();
//<<< shadow2004::IPFilter-Autocomplete
};
